| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# keywordset

$Revision: 1.3 $

$Date: 2002/06/12 11:18:16 $

keywordset — A set of keywords describing the content of a document

## Synopsis

### Content Model

    keywordset ::=
    (keyword+)

### Attributes

Common attributes

## Description

A set of keywords, provided by the author, editor, publisher, and so on, can be stored in the document meta-information in a `KeywordSet`.

Keywords can form an important part of an automated indexing or searching strategy for a collection of documents.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Keywords are rarely displayed to a reader. Usually, they are reserved for searching and retrieval purposes.

Unlike `SubjectTerm`s, which should be drawn from a controlled vocabulary, keywords may be chosen freely.

Although more than one `KeywordSet` may appear in the meta-information for a document, neither a relationship nor a specific facility for constructing a relationship is defined by DocBook.

Additionally, no relationship is defined between the `KeywordSet`s of a document component and the `KeywordSet`s of its parents or children.

### Parents

These elements contain keywordset: `appendixinfo`, `articleinfo`, `bibliographyinfo`, `blockinfo`, `bookinfo`, `chapterinfo`, `glossaryinfo`, `indexinfo`, `objectinfo`, `partinfo`, `prefaceinfo`, `refentryinfo`, `referenceinfo`, `refsect1info`, `refsect2info`, `refsect3info`, `refsectioninfo`, `refsynopsisdivinfo`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`, `setindexinfo`, `setinfo`, `sidebarinfo`.

### Children

The following elements occur in keywordset: `keyword`.

## See Also

`keyword`, `subject`, `subjectset`, `subjectterm`.

## Examples

For examples, see `chapter`.

keyword |  | label

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.